Description

Hello,

when I try to install the foreman with the katello scenario by this command

foreman-installer --scenario katello \

--foreman-initial-organization "Capensis" \

--foreman-initial-location "Lille" \

--foreman-proxy-content-puppet=false \

--puppet-agent=false \

--no-enable-puppet \

--puppet-server=false \

--puppet-server-ca=false \

--foreman-proxy-puppet=false \

--foreman-proxy-puppetca=false \

--foreman-proxy-manage-puppet-group=false \

--foreman-proxy-dhcp=false \

--foreman-proxy-dns=false \

--foreman-proxy-tftp=false \

--foreman-puppetrun=false

I get an error telling me that the puppet group doesn't exist

For the installation to succeed, I have to do this.

groupadd puppet

Technical environment :

Centos 7.5.1804

Foreman 1.19.0-1

Katello 3.8.0-5

Thanks in advance.

Rgs,

Sophian Mehboub

Related issues:

Related to Installer - Bug #26330: Foreman Proxy module is unconditionally as... Closed

Is duplicate of Installer - Bug #16241: Puppet group configured on 'foreman' ... Closed

History

#1 - 12/17/2018 05:26 PM - Tomer Brisker

- Project changed from Foreman to Installer
#2 - 12/17/2018 05:35 PM - Ewoud Kohl van Wijngaarden

- Category set to foreman-installer script

- Triaged changed from No to Yes

- Found in Releases 1.19.0, 1.20.1 added

This is because puppet-foreman defaults to user_groups = ['puppet']. In the katello scenario this isn't needed and we should change the default in the

scenario.

I'm not sure you can set the array to empty via command line parameters but possibly an alternative workaround is passing in --foreman-user-groups

foreman.

#3 - 04/11/2019 04:17 PM - Ewoud Kohl van Wijngaarden

- Related to Bug #26330: Foreman Proxy module is unconditionally assigned to the puppet group added

#4 - 04/11/2019 04:17 PM - Ewoud Kohl van Wijngaarden

- Is duplicate of Bug #16241: Puppet group configured on 'foreman' user without 'puppet' module selected added

#5 - 04/11/2019 04:18 PM - Ewoud Kohl van Wijngaarden

- Status changed from New to Duplicate

- Fixed in Releases 1.22.0 added
